All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::builtin_database::devices::gpu::nvidia::tesla::geforce_gtx_260 Namespace Reference

## Functions

void | add_8B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'T'>, char_to_type<'T'>)
void | add_8B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'T'>, char_to_type<'N'>)
void | add_8B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'N'>, char_to_type<'T'>)
void | add_8B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'N'>, char_to_type<'N'>)
void | add_4B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'T'>, char_to_type<'T'>)
void | add_4B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'T'>, char_to_type<'N'>)
void | add_4B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'N'>, char_to_type<'T'>)
void | add_4B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'N'>, char_to_type<'N'>)

## Function Documentation

void viennacl::device_specific::builtin_database::devices::gpu::nvidia::tesla::geforce_gtx_260::add_4B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'T'> | ,
|  | char_to_type<'T'> |
| ) |  |

inline

Definition at line 55 of file geforce_gtx_260.hpp.

void viennacl::device_specific::builtin_database::devices::gpu::nvidia::tesla::geforce_gtx_260::add_4B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'T'> | ,
|  | char_to_type<'N'> |
| ) |  |

inline

Definition at line 60 of file geforce_gtx_260.hpp.

void viennacl::device_specific::builtin_database::devices::gpu::nvidia::tesla::geforce_gtx_260::add_4B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'N'> | ,
|  | char_to_type<'T'> |
| ) |  |

inline

Definition at line 65 of file geforce_gtx_260.hpp.

void viennacl::device_specific::builtin_database::devices::gpu::nvidia::tesla::geforce_gtx_260::add_4B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'N'> | ,
|  | char_to_type<'N'> |
| ) |  |

inline

Definition at line 70 of file geforce_gtx_260.hpp.

void viennacl::device_specific::builtin_database::devices::gpu::nvidia::tesla::geforce_gtx_260::add_8B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'T'> | ,
|  | char_to_type<'T'> |
| ) |  |

inline

Definition at line 35 of file geforce_gtx_260.hpp.

void viennacl::device_specific::builtin_database::devices::gpu::nvidia::tesla::geforce_gtx_260::add_8B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'T'> | ,
|  | char_to_type<'N'> |
| ) |  |

inline

Definition at line 40 of file geforce_gtx_260.hpp.

void viennacl::device_specific::builtin_database::devices::gpu::nvidia::tesla::geforce_gtx_260::add_8B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'N'> | ,
|  | char_to_type<'T'> |
| ) |  |

inline

Definition at line 45 of file geforce_gtx_260.hpp.

void viennacl::device_specific::builtin_database::devices::gpu::nvidia::tesla::geforce_gtx_260::add_8B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'N'> | ,
|  | char_to_type<'N'> |
| ) |  |

inline

Definition at line 50 of file geforce_gtx_260.hpp.